Index: /extensions/Media_Icon/admin/admin.php
===================================================================
--- /extensions/Media_Icon/admin/admin.php	(revision 19323)
+++ /extensions/Media_Icon/admin/admin.php	(revision 19324)
@@ -2,4 +2,10 @@
 //Chech whether we are indeed included by Piwigo.
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+//Load globals
+global $conf, $page;
+
+//Library for tabs
+include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
 
 //Load translation files
@@ -9,37 +15,30 @@
 check_status(ACCESS_ADMINISTRATOR);
 
-$conf_media_icon = $conf['media_icon'];
-$conf_media_icon_unserialize = unserialize($conf['media_icon']);
+//Initialization
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
 
-//Save config
-if (isset($_POST['submit'])) { 
-	//New parameters
-	$conf_media_icon_unserialize['style'] = $_POST['style'];
-	
-	//Save
-	conf_update_param('media_icon', serialize($conf_media_icon_unserialize));
-	array_push($page['infos'], l10n('Information data registered in database'));
+//Tab management
+if (!isset($_GET['tab']))
+    $page['tab'] = 'general';
+else
+    $page['tab'] = $_GET['tab'];
+
+$tabsheet = new tabsheet();
+$tabsheet->add('general',
+               l10n('General'),
+               $my_base_url.'&amp;tab=general');
+$tabsheet->add('advanced',
+               l10n('Advanced options'),
+               $my_base_url.'&amp;tab=advanced');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+switch ($page['tab']) {
+	case 'advanced':
+		include_once(dirname(__FILE__).'/admin_advanced.php');
+		break;
+	default:
+		include_once(dirname(__FILE__).'/admin_general.php');
+		break;
 }
-
-//Parameters of the template
-	$template->assign('MEDIA_ICON_STYLE_LOGO_SELECTED', ($conf_media_icon_unserialize['style'] == 'logo') ? 'selected="selected"' : null);
-	$template->assign('MEDIA_ICON_STYLE_PHOTO_SELECTED', ($conf_media_icon_unserialize['style'] == 'photo') ? 'selected="selected"' : null);
-	$template->assign('MEDIA_ICON_STYLE_FOLDER_SELECTED', ($conf_media_icon_unserialize['style'] == 'folder') ? 'selected="selected"' : null);
-	$template->assign('MEDIA_ICON_STYLE_FOLDERCOLOR_SELECTED', ($conf_media_icon_unserialize['style'] == 'foldercolor') ? 'selected="selected"' : null);
-	
-//Fetch the template.
-global $template;
-
-//add a stylesheet
-$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_unserialize['style'].'_media_icon.css">');
-	
-//Add our template to the global template
-$template->set_filenames(
-	array(
-		'plugin_admin_content' => dirname(__FILE__).'/admin.tpl'
-	)    
-);
- 
-//Assign the template contents to ADMIN_CONTENT
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: tensions/Media_Icon/admin/admin.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin.tpl	(revision 19323)
+++ 	(revision )
@@ -1,55 +1,0 @@
-{html_head}{literal}
-<style type="text/css">
-  div.media_icon_admin_element {
-    width:20%;
-    font-weight:normal;
-	float: left;
-  }
-  .properties p {
-	font-weight: normal;
-	text-align: center;
-	margin-top: 1em;
-  }
-  
-  .media_icon_important {
-	font-weight: bold;
-  }
-</style>
-{/literal}{/html_head}
-
-<div class="titrePage">
-  <h2>{'Media Icon Plugin'|@translate}</h2>
-</div>
-
-<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
-	<fieldset>
-    <legend>{'Style'|@translate}</legend>
-	<p>
-		<label for="media_icon_select">{'Icon style:'|@translate}</label>
-	</p>
-	<p>	
-		<select id="media_icon_select" name="style">
-			<option value="logo" {$MEDIA_ICON_STYLE_LOGO_SELECTED}>{'Logo'|@translate}</option>
-			<option value="photo" {$MEDIA_ICON_STYLE_PHOTO_SELECTED}>{'Photo'|@translate}</option>
-			<option value="folder" {$MEDIA_ICON_STYLE_FOLDER_SELECTED}>{'Folder'|@translate}</option>
-			<option value="foldercolor" {$MEDIA_ICON_STYLE_FOLDERCOLOR_SELECTED}>{'Folder color'|@translate}</option>
-		</select>
-	</p>
-	<p>{'Click on submit to see changes.'|@translate}</p>
-	</fieldset>
-  
-	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"/></p>
-</form>
-  
-<fieldset>
-	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <span class="media_icon_admin_youtube"></span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <span class="media_icon_admin_vimeo"></span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <span class="media_icon_admin_dailymotion"></span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <span class="media_icon_admin_wat"></span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <span class="media_icon_admin_wideo"></span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <span class="media_icon_admin_pdf"></span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <span class="media_icon_admin_document"></span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <span class="media_icon_admin_spreadsheet"></span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <span class="media_icon_admin_presentation"></span></div>
-</fieldset>
Index: /extensions/Media_Icon/admin/admin_advanced.php
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.php	(revision 19324)
+++ /extensions/Media_Icon/admin/admin_advanced.php	(revision 19324)
@@ -0,0 +1,65 @@
+<?php
+//Initialization
+$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
+
+//Save config
+if (isset($_POST['submit'])) {
+	$conf_media_icon_advanced = $_POST['media_icon'];
+	$media_icon_errors = array();
+	
+	// step 1 - sanitize HTML input
+	switch ($conf_media_icon_advanced['position']) {
+		case 'topleft':
+			$conf_media_icon_advanced['xposition'] = 'left: 5px';
+			$conf_media_icon_advanced['yposition'] = 'top: 5px';
+			break;
+		case 'topright':
+			$conf_media_icon_advanced['xposition'] = 'right: 5px';
+			$conf_media_icon_advanced['yposition'] = 'top: 5px';
+			break;
+		case 'bottomleft':
+			$conf_media_icon_advanced['xposition'] = 'left: 5px';
+			$conf_media_icon_advanced['yposition'] = 'bottom: 5px';
+			break;
+		case 'bottomright':
+			$conf_media_icon_advanced['xposition'] = 'right: 5px';
+			$conf_media_icon_advanced['yposition'] = 'bottom: 5px';
+			break;
+	}
+	
+	// step 2 - check validity
+	$media_icon_test = intval($conf_media_icon_advanced['opacity']);
+	if (is_nan($media_icon_test) or $media_icon_test <= 0 or $media_icon_test > 100) {
+		$media_icon_errors['opacity'] = l10n('The opacity have to be a number between 0 and 100');
+	}
+	
+	// step 3 - save data
+	if (count($media_icon_errors) == 0) {
+		conf_update_param('media_icon_advanced', serialize($conf_media_icon_advanced));
+		array_push($page['infos'], l10n('Information data registered in database'));
+	} else {
+		$page['errors'] = array_merge($page['errors'], $media_icon_errors);
+		$template->assign('media_icon_advanced', $conf_media_icon_advanced);
+		$template->assign('media_icon_errors', $media_icon_errors);
+	}
+}
+
+//Parameters of the template
+$template->assign(
+	'media_icon_advanced',
+	array(
+		'position' => $conf_media_icon_advanced['position'],
+		'opacity' => $conf_media_icon_advanced['opacity'],
+	)
+);
+
+//Add our template to the global template
+$template->set_filenames(
+	array(
+		'plugin_admin_content' => dirname(__FILE__).'/admin_advanced.tpl'
+	)    
+);
+ 
+//Assign the template contents to ADMIN_CONTENT
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/Media_Icon/admin/admin_advanced.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19324)
+++ /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19324)
@@ -0,0 +1,67 @@
+{html_head}{literal}
+<style type="text/css">
+	#media_icon_position_box {
+		border: 2px solid #ccc;
+		width: 500px;
+		padding: 5px;
+		background-color: #e5e5e5;
+		position: relative;
+		margin: auto;
+	}
+	
+	#media_icon_position_box label {
+		font-weight: normal;
+		display: block;
+		color: #444;
+	}
+	
+	#media_icon_position_box label.middle {
+		margin: 50px;
+		text-align: center;
+	}
+	
+	#media_icon_position_box label.right {
+		float: right;
+	}
+	
+	.media_icon_error {
+		border-color: #ff7070;
+		background-color: #FFe5e5
+	}
+	
+	.media_icon_error_description {
+		background-color: red;
+		color: white;
+		padding: 0 5px;
+		border-radius: 10px;
+		font-weight: bold;
+		cursor: help;
+	}
+</style>
+{/literal}{/html_head}
+
+<div class="titrePage">
+  <h2>{'Media Icon Plugin'|@translate}</h2>
+</div>
+
+<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
+	<fieldset>
+	<legend>{'Position'|@translate}</legend>
+		<div id="media_icon_position_box">
+			<label class="right">{'Top right corner'|@translate} <input name="media_icon[position]" type="radio" value="topright"{if $media_icon_advanced.position eq 'topright'} checked="checked"{/if}></label>
+			<label><input name="media_icon[position]" type="radio" value="topleft"{if $media_icon_advanced.position eq 'topleft'} checked="checked"{/if}> {'Top left corner'|@translate}</label>
+			<br /><br /><br />
+			<label class="right">{'Bottom right corner'|@translate} <input name="media_icon[position]" type="radio" value="bottomright"{if $media_icon_advanced.position eq 'bottomright'} checked="checked"{/if}></label>
+			<label><input name="media_icon[position]" type="radio" value="bottomleft"{if $media_icon_advanced.position eq 'bottomleft'} checked="checked"{/if}> {'Bottom left corner'|@translate}</label>
+		</div>
+	</fieldset>
+	
+	<fieldset>
+	<legend>{'Opacity'|@translate}</legend>
+		<label>{'Opacity'|@translate}</label>
+		<input size="3" maxlength="3" type="text" name="media_icon[opacity]" value="{$media_icon_advanced.opacity}"{if isset($media_icon_errors.opacity)} class="media_icon_error"{/if}> %
+		{if isset($media_icon_errors.opacity)}<span class="media_icon_error_description" title="{$media_icon_errors.opacity}">!</span>{/if}
+	</fieldset>
+  
+	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"/></p>
+</form>
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19324)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19324)
@@ -0,0 +1,39 @@
+<?php
+//Initialization
+$conf_media_icon_general = unserialize($conf['media_icon_general']);
+
+//Save config
+if (isset($_POST['submit'])) { 
+	//New parameters
+	$conf_media_icon_general['style'] = $_POST['media_icon_style'];
+	
+	//Save
+	conf_update_param('media_icon_general', serialize($conf_media_icon_general));
+	array_push($page['infos'], l10n('Information data registered in database'));
+}
+
+//Parameters of the template
+$template->assign(
+	'media_icon_style',
+	array(
+		'logo' => (($conf_media_icon_general['style'] == 'logo') ? true : false),
+		'photo' => (($conf_media_icon_general['style'] == 'photo') ? true : false),
+		'folder' => (($conf_media_icon_general['style'] == 'folder') ? true : false),
+		'foldercolor' => (($conf_media_icon_general['style'] == 'foldercolor') ? true : false),
+	)
+);
+	
+//add a stylesheet
+$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
+$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_general['style'].'_media_icon.css">');
+	
+//Add our template to the global template
+$template->set_filenames(
+	array(
+		'plugin_admin_content' => dirname(__FILE__).'/admin_general.tpl'
+	)    
+);
+ 
+//Assign the template contents to ADMIN_CONTENT
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19324)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19324)
@@ -0,0 +1,62 @@
+{html_head}{literal}
+<style type="text/css">
+	div.media_icon_admin_element {
+		width: 20%;
+		font-weight: bold;
+		float: left;
+		margin: 1,5em 1,5em;
+	}
+  
+	.properties label {
+		font-weight: bold;
+		text-align: center;
+	}
+
+	.properties p {
+		font-weight: normal;
+		margin-top: 1em;
+		text-align: center;
+	}
+
+	.media_icon_important {
+		font-weight: bold;
+	}
+</style>
+{/literal}{/html_head}
+
+<div class="titrePage">
+  <h2>{'Media Icon Plugin'|@translate}</h2>
+</div>
+
+<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
+	<fieldset>
+    <legend>{'Style'|@translate}</legend>
+	<p>
+		<label for="media_icon_select">{'Icon style:'|@translate}</label>
+	</p>
+	<p>	
+		<select id="media_icon_select" name="media_icon_style">
+			<option value="logo"{if $media_icon_style.logo} selected="selected"{/if}>{'Logo'|@translate}</option>
+			<option value="photo"{if $media_icon_style.photo} selected="selected"{/if}>{'Photo'|@translate}</option>
+			<option value="folder"{if $media_icon_style.folder} selected="selected"{/if}>{'Folder'|@translate}</option>
+			<option value="foldercolor"{if $media_icon_style.foldercolor} selected="selected"{/if}>{'Folder color'|@translate}</option>
+		</select>
+	</p>
+	<p>{'Click on submit to see changes.'|@translate}</p>
+	</fieldset>
+  
+	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"/></p>
+</form>
+  
+<fieldset>
+	<legend>{'Result'|@translate}</legend>
+	<div class="media_icon_admin_element">{'Youtube videos'|@translate}<span class="media_icon_admin_youtube"></span></div>
+	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <span class="media_icon_admin_vimeo"></span></div>
+	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <span class="media_icon_admin_dailymotion"></span></div>
+	<div class="media_icon_admin_element">{'Wat videos'|@translate} <span class="media_icon_admin_wat"></span></div>
+	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <span class="media_icon_admin_wideo"></span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <span class="media_icon_admin_pdf"></span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <span class="media_icon_admin_document"></span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <span class="media_icon_admin_spreadsheet"></span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <span class="media_icon_admin_presentation"></span></div>
+</fieldset>
Index: /extensions/Media_Icon/config_default.inc.php
===================================================================
--- /extensions/Media_Icon/config_default.inc.php	(revision 19323)
+++ /extensions/Media_Icon/config_default.inc.php	(revision 19324)
@@ -1,6 +1,12 @@
 <?php
 
-$config_default = array(
+$config_default_general = array(
 	'style' => 'logo',
+);
+$config_default_advanced = array(
+	'position' => 'bottomright',
+	'xposition' => 'right: 5px',
+	'yposition' => 'bottom: 5px',
+	'opacity' => 100,
 );
 
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19323)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19324)
@@ -20,3 +20,18 @@
 $lang['Presentations'] = 'Presentations';
 $lang['Information data registered in database'] = 'Information data registered in database';
+
+//admin.php
+$lang['General'] = 'General';
+$lang['Advanced options'] = 'Advanced options';
+
+//admin_advanced.php
+$lang['The opacity have to be a number between 0 and 100'] = 'The opacity have to be a number between 0 and 100';
+
+//admin_advanced.tpl
+$lang['Position'] = 'Position';
+$lang['Top right corner'] = 'Top right corner';
+$lang['Top left corner'] = 'Top left corner';
+$lang['Bottom right corner'] = 'Bottom right corner';
+$lang['Bottom left corner'] = 'Bottom left corner';
+$lang['Opacity'] = 'Opacity';
 ?>
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19323)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19324)
@@ -20,3 +20,18 @@
 $lang['Presentations'] = 'Presentaciones';
 $lang['Information data registered in database'] = 'Datos registrados en la base de datos';
+
+//admin.php
+$lang['General'] = 'General';
+$lang['Advanced options'] = 'Opciones avanzadas';
+
+//admin_advanced.php
+$lang['The opacity have to be a number between 0 and 100'] = 'La opacidad debe ser un número entre 0 y 100';
+
+//admin_advanced.tpl
+$lang['Position'] = 'Posición';
+$lang['Top right corner'] = 'Esquina superior derecha';
+$lang['Top left corner'] = 'Esquina superior izquierda';
+$lang['Bottom right corner'] = 'Esquina inferior derecha';
+$lang['Bottom left corner'] = 'Esquina inferior izquierda';
+$lang['Opacity'] = 'Opacidad';
 ?>
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19323)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19324)
@@ -20,3 +20,18 @@
 $lang['Presentations'] = 'Présentations';
 $lang['Information data registered in database'] = 'Informations enregistrées dans la base de données';
+
+//admin.php
+$lang['General'] = 'Général';
+$lang['Advanced options'] = 'Options avancées';
+
+//admin_advanced.php
+$lang['The opacity have to be a number between 0 and 100'] = 'L\'opacité doit être un nombre entre 0 et 100';
+
+//admin_advanced.tpl
+$lang['Position'] = 'Position';
+$lang['Top right corner'] = 'Coin supérieur droit';
+$lang['Top left corner'] = 'Coin supérieur gauche';
+$lang['Bottom right corner'] = 'Coin inférieur droit';
+$lang['Bottom left corner'] = 'Coin inférieur gauche';
+$lang['Opacity'] = 'Opacité';
 ?>
Index: /extensions/Media_Icon/maintain.inc.php
===================================================================
--- /extensions/Media_Icon/maintain.inc.php	(revision 19323)
+++ /extensions/Media_Icon/maintain.inc.php	(revision 19324)
@@ -5,5 +5,7 @@
 	include(dirname(__FILE__).'/config_default.inc.php');
 
-	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("media_icon" ,"'.addslashes(serialize($config_default)).'", "Media Icon plugin parameters");';
+	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("media_icon_general" ,"'.addslashes(serialize($config_default_general)).'", "Media Icon plugin general parameters");';
+	pwg_query($query);
+	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("media_icon_advanced" ,"'.addslashes(serialize($config_default_advanced)).'", "Media Icon plugin advanced parameters");';
 	pwg_query($query);
 }
@@ -14,5 +16,5 @@
 
 function plugin_uninstall() {
-	$query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="media_icon";';
+	$query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE (param="media_icon_general" OR param="media_icon_advanced");';
 	pwg_query($query);
 }
Index: /extensions/Media_Icon/picture.php
===================================================================
--- /extensions/Media_Icon/picture.php	(revision 19323)
+++ /extensions/Media_Icon/picture.php	(revision 19324)
@@ -51,8 +51,23 @@
 	global $template, $conf;
 	
-	$conf_media_icon = unserialize($conf['media_icon']);
+	$conf_media_icon_general = unserialize($conf['media_icon_general']);
+	$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
+	
+	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_picture.tpl');
+	
+	$template->assign(
+		'media_icon_advanced',
+		array(
+			'xposition' => $conf_media_icon_advanced['xposition'],
+			'yposition' => $conf_media_icon_advanced['yposition'],
+			'opacity' => $conf_media_icon_advanced['opacity'],
+		)
+	);
+	
+	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('media_icon_template', true));
 	
 	//add a stylesheet
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon['style'].'_media_icon.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_general['style'].'_media_icon.css">');
 }
 ?>
Index: /extensions/Media_Icon/template/folder_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/folder_media_icon.css	(revision 19323)
+++ /extensions/Media_Icon/template/folder_media_icon.css	(revision 19324)
@@ -1,188 +1,35 @@
 .media_icon_youtube, .media_icon_admin_youtube{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_youtube{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_youtube {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_vimeo, .media_icon_admin_vimeo{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_vimeo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_vimeo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_dailymotion, .media_icon_admin_dailymotion{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_dailymotion{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_dailymotion {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_wat, .media_icon_admin_wat{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wat{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wat {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_wideo, .media_icon_admin_wideo{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wideo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wideo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_pdf, .media_icon_admin_pdf{
-  background: transparent url('img/folder_pdf.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_pdf{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_pdf {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_pdf.png') no-repeat;
 }
 
 .media_icon_document, .media_icon_admin_document{
-  background: transparent url('img/folder_document.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_document{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_document {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-  background: transparent url('img/folder_spreadsheet.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_spreadsheet{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_spreadsheet {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation, .media_icon_admin_presentation{
-  background: transparent url('img/folder_presentation.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
+	background: transparent url('img/folder_presentation.png') no-repeat;
 }
-
-.media_icon_admin_presentation{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_presentation {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
-}
Index: /extensions/Media_Icon/template/foldercolor_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/foldercolor_media_icon.css	(revision 19323)
+++ /extensions/Media_Icon/template/foldercolor_media_icon.css	(revision 19324)
@@ -1,188 +1,35 @@
 .media_icon_youtube, .media_icon_admin_youtube{
-  background: transparent url('img/foldercolor_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_youtube{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_youtube {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_vimeo, .media_icon_admin_vimeo{
-  background: transparent url('img/foldercolor_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_vimeo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_vimeo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_dailymotion, .media_icon_admin_dailymotion{
-  background: transparent url('img/foldercolor_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_dailymotion{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_dailymotion {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_wat, .media_icon_admin_wat{
-  background: transparent url('img/foldercolor_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wat{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wat {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_wideo, .media_icon_admin_wideo{
-  background: transparent url('img/foldercolor_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wideo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wideo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_pdf, .media_icon_admin_pdf{
-  background: transparent url('img/foldercolor_pdf.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_pdf{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_pdf {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_pdf.png') no-repeat;
 }
 
 .media_icon_document, .media_icon_admin_document{
-  background: transparent url('img/foldercolor_document.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_document{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_document {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-  background: transparent url('img/foldercolor_spreadsheet.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_spreadsheet{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_spreadsheet {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/foldercolor_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation, .media_icon_admin_presentation{
-  background: transparent url('img/foldercolor_presentation.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
+	background: transparent url('img/foldercolor_presentation.png') no-repeat;
 }
-
-.media_icon_admin_presentation{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_presentation {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
-}
Index: /extensions/Media_Icon/template/logo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/logo_media_icon.css	(revision 19323)
+++ /extensions/Media_Icon/template/logo_media_icon.css	(revision 19324)
@@ -1,188 +1,35 @@
 .media_icon_youtube, .media_icon_admin_youtube{
-  background: transparent url('img/logo_youtube.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_youtube{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_youtube {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_youtube.png') no-repeat;
 }
 
 .media_icon_vimeo, .media_icon_admin_vimeo{
-  background: transparent url('img/logo_vimeo.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_vimeo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_vimeo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_vimeo.png') no-repeat;
 }
 
 .media_icon_dailymotion, .media_icon_admin_dailymotion{
-  background: transparent url('img/logo_dailymotion.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_dailymotion{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_dailymotion {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_dailymotion.png') no-repeat;
 }
 
 .media_icon_wat, .media_icon_admin_wat{
-  background: transparent url('img/logo_wat.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wat{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wat {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_wat.png') no-repeat;
 }
 
 .media_icon_wideo, .media_icon_admin_wideo{
-  background: transparent url('img/logo_wideo.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wideo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wideo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_wideo.png') no-repeat;
 }
 
 .media_icon_pdf, .media_icon_admin_pdf{
-  background: transparent url('img/logo_pdf.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_pdf{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_pdf {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_pdf.png') no-repeat;
 }
 
 .media_icon_document, .media_icon_admin_document{
-  background: transparent url('img/logo_document.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_document{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_document {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-  background: transparent url('img/logo_spreadsheet.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_spreadsheet{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_spreadsheet {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/logo_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation, .media_icon_admin_presentation{
-  background: transparent url('img/logo_presentation.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
+	background: transparent url('img/logo_presentation.png') no-repeat;
 }
-
-.media_icon_admin_presentation{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_presentation {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
-}
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19324)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19324)
@@ -0,0 +1,37 @@
+.media_icon_youtube,
+.media_icon_vimeo,
+.media_icon_dailymotion,
+.media_icon_wat,
+.media_icon_wideo,
+.media_icon_pdf,
+.media_icon_document,
+.media_icon_spreadsheet,
+.media_icon_presentation,
+.media_icon_admin_youtube,
+.media_icon_admin_vimeo,
+.media_icon_admin_dailymotion,
+.media_icon_admin_wat,
+.media_icon_admin_wideo,
+.media_icon_admin_pdf,
+.media_icon_admin_document,
+.media_icon_admin_spreadsheet,
+.media_icon_admin_presentation   {
+	width: 60px;
+	height: 60px;
+	z-index:99;
+}
+
+.media_icon_admin_youtube,
+.media_icon_admin_vimeo,
+.media_icon_admin_dailymotion,
+.media_icon_admin_wat,
+.media_icon_admin_wideo,
+.media_icon_admin_pdf,
+.media_icon_admin_document,
+.media_icon_admin_spreadsheet,
+.media_icon_admin_presentation {
+	display: block;
+	margin-left: auto;
+	margin-right: auto;
+	margin-bottom: 2em;
+}
Index: tensions/Media_Icon/template/media_icon.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon.tpl	(revision 19323)
+++ 	(revision )
@@ -1,43 +1,0 @@
-{html_head}
-{literal}
-<script type="text/javascript">
-	//Add Media Icon markups to thumbnails
-	function media_icon_markup() {
-		//Youtube
-		$("img[media_icon^=youtube]").before('<span class="media_icon_youtube"></span>');
-		//Vimeo
-		$("img[media_icon^=vimeo]").before('<span class="media_icon_vimeo"></span>');
-		//Dailymotion
-		$("img[media_icon^=dailymotion]").before('<span class="media_icon_dailymotion"></span>');
-		//Wat
-		$("img[media_icon^=wat]").before('<span class="media_icon_wat"></span>');
-		//Wideo
-		$("img[media_icon^=wideo]").before('<span class="media_icon_wideo"></span>');
-		//pdf
-		$("img[media_icon$=pdf]").before('<span class="media_icon_pdf"></span>');
-		//doc, docx or odt
-		$("img[media_icon$=doc]").before('<span class="media_icon_document"></span>');
-		$("img[media_icon$=docx]").before('<span class="media_icon_document"></span>');
-		$("img[media_icon$=odt]").before('<span class="media_icon_document"></span>');
-		//xls, xlsx or ods
-		$("img[media_icon$=xls]").before('<span class="media_icon_spreadsheet"></span>');
-		$("img[media_icon$=xlsx]").before('<span class="media_icon_spreadsheet"></span>');
-		$("img[media_icon$=ods]").before('<span class="media_icon_spreadsheet"></span>');
-		//ppt, pptx or odp
-		$("img[media_icon$=ppt]").before('<span class="media_icon_presentation"></span>');
-		$("img[media_icon$=pptx]").before('<span class="media_icon_presentation"></span>');
-		$("img[media_icon$=odp]").before('<span class="media_icon_presentation"></span>');
-	}
-  
-	//Allow Media Icon to work with RV Thumb Scroller 
-	jQuery(window).bind("RVTS_loaded", function(){
-		media_icon_markup();
-	});
-
-	//When the document has finiched to load
-	jQuery(document).ready(function(){
-		media_icon_markup();
-	});
-</script>
-{/literal}
-{/html_head}
Index: /extensions/Media_Icon/template/media_icon_picture.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19324)
+++ /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19324)
@@ -0,0 +1,28 @@
+{html_head}
+{literal}
+<style type="text/css">
+	.media_icon_pdf, .media_icon_admin_pdf {
+{/literal}
+		opacity: {$media_icon_advanced.opacity/100};
+		moz-opacity: {$media_icon_advanced.opacity/100};
+		filter:alpha(opacity={$media_icon_advanced.opacity});
+{literal}
+	}
+.media_icon_youtube,
+.media_icon_vimeo,
+.media_icon_dailymotion,
+.media_icon_wat,
+.media_icon_wideo,
+.media_icon_pdf,
+.media_icon_document,
+.media_icon_spreadsheet,
+.media_icon_presentation {
+{/literal}
+	position: absolute;
+	{$media_icon_advanced.yposition};
+	{$media_icon_advanced.xposition};
+{literal}
+}
+</style>
+{/literal}
+{/html_head}
Index: /extensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19324)
+++ /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19324)
@@ -0,0 +1,67 @@
+{html_head}
+{literal}
+<style type="text/css">
+	.media_icon_pdf, .media_icon_admin_pdf {
+{/literal}
+		opacity: {$media_icon_advanced.opacity/100};
+		moz-opacity: {$media_icon_advanced.opacity/100};
+		filter:alpha(opacity={$media_icon_advanced.opacity});
+{literal}
+	}
+.media_icon_youtube,
+.media_icon_vimeo,
+.media_icon_dailymotion,
+.media_icon_wat,
+.media_icon_wideo,
+.media_icon_pdf,
+.media_icon_document,
+.media_icon_spreadsheet,
+.media_icon_presentation {
+{/literal}
+	position: absolute;
+	{$media_icon_advanced.yposition};
+	{$media_icon_advanced.xposition};
+{literal}
+}
+</style>
+<script type="text/javascript">
+	//Add Media Icon markups to thumbnails
+	function media_icon_markup() {
+		//Youtube
+		$("img[media_icon^=youtube]").before('<span class="media_icon_youtube"></span>');
+		//Vimeo
+		$("img[media_icon^=vimeo]").before('<span class="media_icon_vimeo"></span>');
+		//Dailymotion
+		$("img[media_icon^=dailymotion]").before('<span class="media_icon_dailymotion"></span>');
+		//Wat
+		$("img[media_icon^=wat]").before('<span class="media_icon_wat"></span>');
+		//Wideo
+		$("img[media_icon^=wideo]").before('<span class="media_icon_wideo"></span>');
+		//pdf
+		$("img[media_icon$=pdf]").before('<span class="media_icon_pdf"></span>');
+		//doc, docx or odt
+		$("img[media_icon$=doc]").before('<span class="media_icon_document"></span>');
+		$("img[media_icon$=docx]").before('<span class="media_icon_document"></span>');
+		$("img[media_icon$=odt]").before('<span class="media_icon_document"></span>');
+		//xls, xlsx or ods
+		$("img[media_icon$=xls]").before('<span class="media_icon_spreadsheet"></span>');
+		$("img[media_icon$=xlsx]").before('<span class="media_icon_spreadsheet"></span>');
+		$("img[media_icon$=ods]").before('<span class="media_icon_spreadsheet"></span>');
+		//ppt, pptx or odp
+		$("img[media_icon$=ppt]").before('<span class="media_icon_presentation"></span>');
+		$("img[media_icon$=pptx]").before('<span class="media_icon_presentation"></span>');
+		$("img[media_icon$=odp]").before('<span class="media_icon_presentation"></span>');
+	}
+  
+	//Allow Media Icon to work with RV Thumb Scroller 
+	jQuery(window).bind("RVTS_loaded", function(){
+		media_icon_markup();
+	});
+
+	//When the document has finiched to load
+	jQuery(document).ready(function(){
+		media_icon_markup();
+	});
+</script>
+{/literal}
+{/html_head}
Index: /extensions/Media_Icon/template/photo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/photo_media_icon.css	(revision 19323)
+++ /extensions/Media_Icon/template/photo_media_icon.css	(revision 19324)
@@ -1,188 +1,35 @@
 .media_icon_youtube, .media_icon_admin_youtube{
-  background: transparent url('img/photo_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_youtube{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_youtube {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_video.png') no-repeat;
 }
 
 .media_icon_vimeo, .media_icon_admin_vimeo{
-  background: transparent url('img/photo_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_vimeo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_vimeo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_video.png') no-repeat;
 }
 
 .media_icon_dailymotion, .media_icon_admin_dailymotion{
-  background: transparent url('img/photo_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_dailymotion{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_dailymotion {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_video.png') no-repeat;
 }
 
 .media_icon_wat, .media_icon_admin_wat{
-  background: transparent url('img/photo_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wat{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wat {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_video.png') no-repeat;
 }
 
 .media_icon_wideo, .media_icon_admin_wideo{
-  background: transparent url('img/photo_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wideo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wideo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_video.png') no-repeat;
 }
 
 .media_icon_pdf, .media_icon_admin_pdf{
-  background: transparent url('img/photo_pdf.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_pdf{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_pdf {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_pdf.png') no-repeat;
 }
 
 .media_icon_document, .media_icon_admin_document{
-  background: transparent url('img/photo_document.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_document{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_document {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-  background: transparent url('img/photo_spreadsheet.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_spreadsheet{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_spreadsheet {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/photo_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation, .media_icon_admin_presentation{
-  background: transparent url('img/photo_presentation.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
+	background: transparent url('img/photo_presentation.png') no-repeat;
 }
-
-.media_icon_admin_presentation{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_presentation {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
-}
Index: /extensions/Media_Icon/thumbnails.php
===================================================================
--- /extensions/Media_Icon/thumbnails.php	(revision 19323)
+++ /extensions/Media_Icon/thumbnails.php	(revision 19324)
@@ -3,11 +3,23 @@
 
 function media_icon_thumbnails($tpl_thumbnails_var) {
-	global $template;
+	global $template, $conf;
 
+	$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
+	
 	add_event_handler('loc_end_page_header', 'media_icon_thumbnails_css');
 	
 	$template->set_prefilter('index_thumbnails', 'media_icon_prefilter_thumbnails');
 	
-	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon.tpl');
+	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_thumbnails.tpl');
+	
+	$template->assign(
+		'media_icon_advanced',
+		array(
+			'xposition' => $conf_media_icon_advanced['xposition'],
+			'yposition' => $conf_media_icon_advanced['yposition'],
+			'opacity' => $conf_media_icon_advanced['opacity'],
+		)
+	);
+	
 	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('media_icon_template', true));
 	
@@ -29,8 +41,9 @@
 	global $template, $conf;
 	
-	$conf_media_icon = unserialize($conf['media_icon']);
+	$conf_media_icon_general = unserialize($conf['media_icon_general']);
 	
 	//add a stylesheet
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon['style'].'_media_icon.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_general['style'].'_media_icon.css">');
 }
 ?>
